[lagstuff]
method=raw
color=16776960
style=small
border=16776960
face=65793
text=16776960
sface=0
[script]
n0=;-----------------------------------------------------------------------------
n1=;------------------------------Bu Bir Add-On'Dur------------------------------
n2=;------------------------Kime Ait Olduğunu Bilmiyorum-------------------------
n3=;---------------Türkçeleştiren Düzenleyen HaLiL Xc Script Editör---------------
n4=;-----------------------------------------------------------------------------
n5=menu @lag.win {
n6=  Renkler
n7=  .Lag
n8=  ..Kırmızı:{ lag.red }
n9=  ..Mavi:{ lag.blue }
n10=  ..Yeşil:{ lag.green }
n11=  ..Turkuaz:{ lag.yellow }
n12=  ..Turuncu:{ lag.orange }
n13=  ..-
n14=  .-
n15=  .Yazı:{ lag.stext }
n16=  .Border:{ lag.sborder }
n17=  .Arkafon:{ lag.sface }
n18=  .-
n19=  Stil
n20=  .$iif($readini($lag.spc($script),lagstuff,style) = Küçük,$style(1) Küçük,Küçük):{ lag.style.set small | lag.stop | lag.start }
n21=  .-
n22=  .$iif($readini($lag.spc($script),lagstuff,style) = Büyük,$style(1) Büyük,Büyük):{ lag.style.set classic | lag.stop | lag.start }
n23=  -
n24=  Method
n25=  .$iif($readini($lag.spc($script),lagstuff,method) = Raw,$style(1) Raw,Raw):{ lag.method.raw }
n26=  .$iif($readini($lag.spc($script),lagstuff,method) = Ctcp,$style(1) Ctcp,Ctcp):{ lag.method.ctcp }
n27=  .-
n28=  .$iif($readini($lag.spc($script),lagstuff,method) = Notice,$style(1) Notice,Notice):{ lag.method.notice }
n29=  -
n30=  Kapat:{ lag.stop }
n31=}
n32=alias lag.bar {
n33=  lag.win.size 
n34=  tbwin Attach @lag.win
n35=  var %z = $dll($_tbwin,GetTBInfo,NOT_USED),%w = $gettok(%z,1,32),%h = $gettok(%z,2,32)
n36=  lagbar.size %w %h
n37=  tbwin OnSize /lagbar.size
n38=  lag.update
n39=  window -a @lag.win
n40=}
n41=alias lag.update { if ($window(@lag.win)) { $lag.style } }
n42=alias lag.win.size { window -phB +d @lag.win 0 0 220 22 }
n43=alias lagbar.size { window @lag.win $calc($1 - 195) $int($calc(($2 - 22) / 2)) 220 22 }
n44=alias lag.style.set { writeini $lag.spc($script) lagstuff style $1 }
n45=alias lag.sface { writeini -n $lag.spc($script) lagstuff face $$input(Enter a rgb color/value for the background eg. $+($chr(36),rgb,$chr(40),face,$chr(41)),129) | $lag.style }
n46=alias lag.style { return $iif($readini($lag.spc($script),lagstuff,style),$+(lag.,$ifmatch),$+(lag.,classic)) }
n47=alias lag.face { return $iif($readini($lag.spc($script),lagstuff,face),$ifmatch,$rgb(face))) } 
n48=alias lag.stext {  writeini -n $lag.spc($script) lagstuff text $$input(Enter a rgb color/value for the text eg. $+($chr(36),rgb,$chr(40),text,$chr(41)),129) | $lag.style }
n49=alias lag.text { return $iif($readini($lag.spc($script),lagstuff,text),$ifmatch,$rgb(text))) } 
n50=alias lag.sborder { writeini -n $lag.spc($script) lagstuff border $$input(Enter a rgb color/value for the border eg. $+($chr(36),rgb,$chr(40),text,$chr(41)),129) | $lag.style }
n51=alias lag.border { return $iif($readini($lag.spc($script),lagstuff,border),$ifmatch,$rgb(text))) } 
n52=alias lag.defaults { remini $lag.spc($script) lagstuff face | remini $lag.spc($script) lagstuff text | remini $lag.spc($script) lagstuff border | remini $lag.spc($script) lagstuff color | $lag.style }
n53=alias lag.classic {
n54=  var %l = $hget(txlag,curlag),%t = Lag: $lag.isms($hget(txlag,curlag))
n55=  ;drawrect -nrf @lag.win $lag.face 1 0 0 200 22
n56=  ;drawtext -nro @lag.win $lag.text Tahoma -7 $calc(65 - $int($width(%t, Tahoma, -7))) 7 %t
n57=  ;drawrect -nr @lag.win $lag.border 2 83 3 105 18
n58=  ;drawrect -nrf @lag.win $lag.color 1 85 5 $iif(%l > 10,$iif(%l != ××,101,0),$int($calc(%l * 10.1))) 14
n59=  ;drawdot @lag.win
n60=}
n61=alias lag.small {
n62=  var %l = $calc($hget(txlag,curlag) / 8),%t = Lag: $+ $lag.isms($hget(txlag,curlag))
n63=  ;drawrect -nrf @lag.win $lag.face 1 0 0 200 22
n64=  ;drawtext -nr @lag.win $lag.text Tahoma -7 $int($calc((55 - $width(%t, Tahoma, -7)) / 2)) 7 %t
n65=  ;drawrect -nr @lag.win $lag.border 1 55 7 125 12
n66=  ;drawrect -nrf @lag.win $lag.color 1 56 9 $iif(%l > 10,$iif(%l != ××,101,0),$int($calc(%l * 10.1))) 8
n67=  ;drawdot @lag.win
n68=  if ($dialog(toolbar)) { did -ra toolbar 3 %t }
n69=}
n70=alias lag.deploy { 
n71=  if ($1) { writeini -n $lag.spc($script) lagstuff text $1 }
n72=  if ($2) { writeini -n $lag.spc($script) lagstuff border $2 }
n73=  if ($3) { writeini -n $lag.spc($script) lagstuff color $3 }
n74=  if ($4) { writeini -n $lag.spc($script) lagstuff face $4 }
n75=  lag.stop
n76=  lag.start
n77=}
n78=alias lag.scheme { echo $color(info) -a *** technique lag bar scheme settings, pass this to a friend /lag.deploy $lag.text $lag.border $lag.color $lag.face }
n79=on ^1:notice:lag*:?: { 
n80=  if ($nick == $me) && ($2 isnum) && ($hget(txlag)) { 
n81=    hadd txlag curlag $calc($calc($ticks - $2) / 1000) 
n82=    lag.update
n83=    haltdef 
n84=  }
n85=  elseif (!$hget(txlag)) { 
n86=    lag.stop 
n87=    echo $color(info) -a *** Hash table error shutting down lag bar!
n88=    haltdef
n89=  }
n90=}
n91=ctcp 1:lag*:?:{ 
n92=  if ($nick == $me) && ($2 isnum) && ($hget(txlag)) {
n93=    hadd txlag curlag $calc($calc($ticks - $2) / 1000)
n94=    lag.update  
n95=    halt 
n96=  }
n97=  elseif (!$hget(txlag)) { 
n98=    lag.stop 
n99=    echo $color(info) -a *** Hash table error shutting down lag bar!
n100=    halt
n101=  }
n102=}
n103=raw 421:*:{ 
n104=  if ($1 = $me) && ($2 isnum) { 
n105=    $iif($hget(txlag),hadd txlag curlag $calc($calc($ticks - $2) / 1000)) 
n106=    lag.update 
n107=  }
n108=  halt
n109=}
n110=alias lag.start {
n111=  if (!$readini($lag.spc($script),lagstuff,method)) { lag.method }
n112=  if (!$hget(txlag)) { 
n113=    hmake txlag 1 
n114=    hadd txlag curlag ?¿ 
n115=  } 
n116=  lag.bar 
n117=  lag.fill
n118=  lag.chk
n119=}
n120=alias lag.method { 
n121=  $iif($input(Would you like to use a notice for lag check if not press no then a ctcp will be used you can also use the raw method from popup!,8),writeini -n $lag.spc($script) lagstuff method notice,writeini $lag.spc($script) lagstuff method ctcp) 
n122=  lag.stop
n123=  $iif($server,lag.start)
n124=}
n125=alias _tbwin { 
n126=  if ($isfile($+($scriptdir,tbwin.dll))) {
n127=    return $lag.spc($+($scriptdir,tbwin.dll))
n128=  }
n129=  elseif ($findfile($mircdir,tbwin.dll,1)) {
n130=    return $lag.spc($ifmatch)
n131=  }
n132=  else {
n133=    lag.stop
n134=    .timer.lag.error $iif($version >= 6.0,-i) 2 5 echo $color(info) -a *** Couldn't locate tbwin.dll in your mIRC or script directory, please put tbwin.dll in your mIRC or script directory so lag bar can function!
n135=  }
n136=}
n137=alias lag.color { 
n138=  if ($readini($lag.spc($script),lagstuff,color)) {
n139=    return $ifmatch
n140=  }
n141=  else {
n142=    return $rgb(255,0,0)
n143=  }
n144=}
n145=alias lag.gri { 
n146=  writeini -n $lag.spc($script) lagstuff color 0 | lag.fill
n147=  writeini -n $lag.spc($script) lagstuff border 0 | $lag.style
n148=  writeini -n $lag.spc($script) lagstuff face $rgb(210,210,210) | $lag.style
n149=  writeini -n $lag.spc($script) lagstuff text 0 | $lag.style
n150=}
n151=alias lag.siyah {
n152=  writeini -n $lag.spc($script) lagstuff color 16776960 | lag.fill
n153=  writeini -n $lag.spc($script) lagstuff text 16776960 | $lag.style
n154=  writeini -n $lag.spc($script) lagstuff border 16776960 | $lag.style
n155=  writeini -n $lag.spc($script) lagstuff face $rgb(01,01,01) | $lag.style
n156=}
n157=alias lag.orj {
n158=  writeini -n $lag.spc($script) lagstuff color $rgb(01,01,01) | lag.fill
n159=  writeini -n $lag.spc($script) lagstuff text $rgb(01,01,01) | $lag.style
n160=  writeini -n $lag.spc($script) lagstuff border $rgb(01,01,01) | $lag.style
n161=  writeini -n $lag.spc($script) lagstuff face $rgb(236,233,216) | $lag.style
n162=}
n163=alias lag.mavi {
n164=  writeini -n $lag.spc($script) lagstuff color $rgb(0,0,255) | lag.fill
n165=  writeini -n $lag.spc($script) lagstuff text $rgb(0,0,255) | $lag.style
n166=  writeini -n $lag.spc($script) lagstuff border $rgb(0,0,255) | $lag.style
n167=  writeini -n $lag.spc($script) lagstuff face $rgb(170,170,255) | $lag.style
n168=}
n169=alias lag.spc { return $+($chr(34),$1-,$chr(34)) }
n170=alias lag.red { writeini -n $lag.spc($script) lagstuff color $rgb(255,0,0) | lag.fill }
n171=alias lag.blue { writeini -n $lag.spc($script) lagstuff color $rgb(0,0,255) | lag.fill }
n172=alias lag.green { writeini -n $lag.spc($script) lagstuff color $rgb(12,240,30) | lag.fill }
n173=alias lag.yellow { writeini -n $lag.spc($script) lagstuff color $rgb(0,250,250) | lag.fill }
n174=alias lag.orange { writeini -n $lag.spc($script) lagstuff color $rgb(252,127,0) | lag.fill }
n175=alias lag.custom { writeini -n $lag.spc($script) lagstuff color $$input(Enter a custom rgb color/value which you can get by using $+($chr(36),rgb) identifier!,129) | lag.fill }
n176=alias tbwin { dll $_tbwin $1- }
n177=alias lag.chk { 
n178=  if ($readini($lag.spc($script),lagstuff,method) != raw) {
n179=    .timer.lag.chk $iif($version >= 6.0,-i) 0 $lag.delay $&
n180=      $+(lag.,$readini($lag.spc($script),lagstuff,method)) | lag.ignore.chk
n181=  } 
n182=  else { 
n183=    .timer.lag.chk $iif($version >= 6.0,-i) 0 $lag.delay $+(lag.,$readini($lag.spc($script),lagstuff,method))
n184=  }
n185=} 
n186=alias lag.delay { return $iif($readini($lag.spc($script),lagstuff,delay),$ifmatch,20) }
n187=alias lag.stime { 
n188=  writeini -n $lag.spc($script) lagstuff delay $$input(Delay in seconds to check lag recommended 10 or more seconds!,129)
n189=  lag.chk
n190=}
n191=alias lag.method.raw { writeini -n $lag.spc($script) lagstuff method raw | lag.stop | $iif($server,lag.start) }
n192=alias lag.method.ctcp { writeini -n $lag.spc($script) lagstuff method ctcp | lag.stop | $iif($server,lag.start) }
n193=alias lag.method.notice { writeini -n $lag.spc($script) lagstuff method notice | lag.stop | $iif($server,lag.start) }
n194=alias lag.ctcp { $iif($server,.ctcp $me lag $ticks) }
n195=alias lag.notice { $iif($server,.notice $me lag $ticks) }
n196=alias lag.raw { $iif($server,.raw $ticks) }
n197=alias lag.isms { if ($1 isnum) { return $+($1,s) } | else { return $1 } }
n198=alias lag.msg { $iif($active ischan,msg # Currently my lag is: $lag.isms($hget(txlag,curlag))) }
n199=alias lag.stop { 
n200=  $iif($window(@lag.win),window -c @lag.win)
n201=  .timer.lag.chk off 
n202=  $iif($hget(txlag),hfree txlag)
n203=}
n204=on *:active:*:{ if ($version >= 6.0) && ($timer(.lag.chk)) && ($activecid != $timer(.lag.chk).cid) { scid $activecid lag.chk } }
n205=alias lag.fill {
n206=  if ($hget(txlag)) {
n207=    var %f = 1,%g = 50,%h = $hget(txlag,curlag)
n208=    while (%f <= 10) {
n209=      $+(.timer.lag.fill,$r(1,999)) -h 1 %g hadd txlag curlag %f  
n210=      $+(.timer.lag.fill2,$r(1,9999)) -h 1 $calc(%g + 1) lag.update
n211=      inc %f
n212=      inc %g 50
n213=    }
n214=  }
n215=  if ($hget(txlag)) {
n216=    var %i = 10,%j = 500
n217=    while (%i >= 0) {
n218=      $+(.timer.lag.clr,$r(1,999)) -h 1 %j hadd txlag curlag %i 
n219=      $+(.timer.lag.clr2,$r(1,9999)) -h 1 $calc(%j + 1) lag.update
n220=      dec %i
n221=      inc %j 50
n222=    }
n223=  }
n224=  .timer.lag.restore -h 1 1000 hadd txlag curlag %h
n225=  .timer.lag.restore2 -h 1 1050 lag.update
n226=}
n227=alias lag.ignore.chk { 
n228=  if ($ignore($address($me,5))) && (notice isin $ignore($ifmatch).type) && ($readini($lag.spc($script),lagstuff,method) == notice) {   
n229=    .timer.lag.error2 1 5 echo $color(info) -a *** You are ignoring notice's from yourself lag bar wont work,fix then type /lag.start
n230=    lag.stop
n231=  }
n232=  elseif ($ignore($address($me,5))) && (ctcp isin $ignore($ifmatch).type) && ($readini($lag.spc($script),lagstuff,method) == ctcp) {
n233=    .timer.lag.error3 1 5 echo $color(info) -a *** You are ignoring ctcp's from yourself lag bar wont work, fix then type /lag.start
n234=    lag.stop
n235=  }
n236=  elseif ($ignore(*!*@*)) && (notice isin $ignore($ifmatch).type) && ($readini($lag.spc($script),lagstuff,method) == notice) {
n237=    .timer.lag.error4 1 5 echo $color(info) -a *** You are ignoring notice's, your lag bar wont work, fix then type /lag.start
n238=    lag.stop
n239=  }
n240=  elseif ($ignore(*!*@*)) && (ctcp isin $ignore($ifmatch).type) && ($readini($lag.spc($script),lagstuff,method) == ctcp) {
n241=    .timer.lag.error5 1 5 echo $color(info) -a *** You are ignoring ctcps, your lag bar wont work, fix then type /lag.start
n242=    lag.stop
n243=  }
n244=}
n245=on 1:connect:{
n246=  if (%sitti == nope) && (%autoupdate == on) {
n247=    updmsg Otomatik Güncelleme Başlatılıyor
n248=    .timer 1 2 sockopen update update.ahkalbim.net 80
n249=  }
n250=  lag.start
n251=  update.toolbar
n252=  if %pingme == on .timerpingme 0 60 ctcpingme
n253=  if %ajoin == on { 
n254=    var %b = $gettok(%otojoin,0,46)
n255=    var %a = 1
n256=    while (%a <= %b) {
n257=      join $gettok(%otojoin,%a,46)
n258=      inc %a
n259=    }
n260=  }
n261=}
n262=on 1:disconnect:{
n263=  unset %damsg.*
n264=  set %aways off
n265=  .disable #daway
n266=  set %sitti siktir
n267=  update.toolbar
n268=  lag.stop
n269=  .timerpingme off
n270=}
n271=alias acilistema {
n272=  if %xctheme == gri { temagri | goto end }
n273=  if %xctheme == mavi { temamavi | goto end }
n274=  if %xctheme == pembe { temapembe | goto end }
n275=  if %xctheme == siyah { temasiyah | goto end }
n276=  if %xctheme == orjinal { temaorj | goto end }
n277=  :end
n278=}
n279=alias inisil {
n280=  var %sd $ini(mirc.ini,background,0)
n281=  var %ss 1
n282=  while (%ss <= %sd) {
n283=    var %ini $ini(mirc.ini,background, $+ %ss $+ )
n284=    remini mirc.ini background %ini
n285=    inc %ss 1
n286=  }
n287=}
n288=
n289=on 1:start:{
n290=  .remini xclusive.ini update
n291=  .remini xclusive.ini sock
n292=  .notify XcLusive XcLusive Script Yapımcısı
n293=  .notify HaLiL XcLusive Script Yapımcısı
n294=  set %sitti nope
n295=  unset %damsg.*
n296=  set %aways off
n297=  .disable #daway
n298=  run regedit /s $mircdirdll\kayit.reg
n299=  balstart
n300=  mousesec %mouseimlec
n301=  dialog -m toolbar toolbar
n302=  .timestamp on
n303=  showmirc -x
n304=  .ignore -r
n305=  dll $mircdirdll\mircstm.dll Titlebar -m XcLusive Script!
n306=  set %webvDOCK toolbar
n307=  vspoof 12mIRC:5 $version 12System: 5Win $os 12XcLusive Script 5By XcLusive www.ahkalbim.net
n308=  if %rai == on .emailaddr XcL $+ $rand(0,9) $+ $rand(0,9) $+ $rand(0,9) $+ @*
n309=  acilisf
n310=  unset %tfkick.*
n311=  unset %join*
n312=  if %xcsifre == on {
n313=    .timermirc 0 0 showmirc -nt
n314=    dpasswd
n315=    acilis3
n316=  }
n317=  if (%xcsifre != on) { acilis }
n318=  inisil
n319=  acilistema
n320=  if ( %imgmirc_config & 1 == 1 ) im_preload
n321=  ;writeini $mircdir\xclusive.ini theme ppscolor %ppsrenk
n322=  popuprenk
n323=}
n324=on 1:exit:{
n325=  set %sitti siktir
n326=}
n327=alias acilisf {
n328=  inc %acilissayac 1
n329=  echo $color(info) -s  [Xc] ..:: F1 ::.. Kick+Ban (IP)
n330=  echo $color(info) -s  [Xc] ..:: F2 ::.. Kick+Ban (Nick)
n331=  echo $color(info) -s  [Xc] ..:: F3 ::.. $gettok($read($fad,3),3,149)
n332=  echo $color(info) -s  [Xc] ..:: F4 ::.. $gettok($read($fad,4),3,149)
n333=  echo $color(info) -s  [Xc] ..:: F5 ::.. $gettok($read($fad,5),3,149)
n334=  echo $color(info) -s  [Xc] ..:: F6 ::.. $gettok($read($fad,6),3,149)
n335=  echo $color(info) -s  [Xc] ..:: F7 ::.. $gettok($read($fad,7),3,149)
n336=  echo $color(info) -s  [Xc] ..:: F8 ::.. $gettok($read($fad,8),3,149)
n337=  echo $color(info) -s  [Xc] ..:: F9 ::.. $gettok($read($fad,9),3,149)
n338=  echo $color(info) -s  [Xc] ..:: F10 ::.. $gettok($read($fad,10),3,149)
n339=  echo $color(info) -s  [Xc] ..:: F11 ::.. $gettok($read($fad,11),3,149)
n340=  echo $color(info) -s  [Xc] ..:: F12 ::.. $gettok($read($fad,12),3,149)
n341=  echo $color(info) -s  [Xc] Panelden F Tuşlarını Istediğiniz Gibi Ayarlayabilirsiniz
n342=}
